Page MenuHomePhabricator

[hexagon] Distinguish the 'o', 'v', and 'm' inline assembly memory constraints.
ClosedPublic

Authored by dsanders on Mar 10 2015, 8:10 AM.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 21581.Mar 10 2015, 8:10 AM
dsanders retitled this revision from to [hexagon] Distinguish the 'o', 'v', and 'm' inline assembly memory constraints..
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders added a reviewer: adasgupt.
dsanders added a subscriber: Unknown Object (MLST).

One thing I need to mention about this patch. I couldn't tell which additional constraints are supposed to be accepted by clang since the clang implementation currently accepts every possible constraint (HexagonTargetInfo::validateAsmConstraint() always returns true). For now, I've made Hexagon accept 'o', 'v', and 'm' in the backend but I'm happy to correct it if you can tell me which additional constraint codes should be there.

colinl added a subscriber: colinl.

LGTM, Krzysztof, do you see any issues?

kparzysz accepted this revision.Mar 10 2015, 10:13 AM
kparzysz edited edge metadata.
This revision is now accepted and ready to land.Mar 10 2015, 10:13 AM
adasgupt accepted this revision.Mar 11 2015, 11:41 AM
adasgupt edited edge metadata.
dsanders closed this revision.Mar 16 2015, 6:56 AM